API Test Keys
Fetch Account Validation Transactions With ID
GET/v1/fund_accounts/validations/:idClick to copy
Use this endpoint to retrieve a particulae Fund Account Validation transaction with its id.
Is this page helpful?
1curl -u <YOUR_KEY>:<YOUR_SECRET> \2-X GET https://api.razorpay.com/v1/fund_accounts/validations/fav_00000000000001
Success
1{2"id": "fav_00000000000001",3"entity": "fund_account.validation",4"fund_account": {5"id": "fa_00000000000001",6"entity": "fund_account",7"contact_id": "cont_00000000000001",8"account_type": "bank_account",9"bank_account": {10"name": "Gaurav Kumar",11"bank_name": "HDFC",12"ifsc": "HDFC0000053",13"account_number": "765432123456789"14},15"batch_id": null,16"active": true,17"created_at": 156706401918},19"status": "completed",20"amount": 100,21"currency": "INR",22"notes": {23"random_key_1": "Make it so.",24"random_key_2": "Tea. Earl Grey. Hot."25},26"results": {27"account_status": "active",28"registered_name": "Gaurav Kumar"29},30"created_at": 1547566278,31"utr": "XXXXR7310682908954385XX"32}
Path Parameters
id*
string This is the unique identifier linked to the account validation transaction. For example, fav_00000000000001.
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
Fetch Account Validation Transactions With ID
GET/v1/fund_accounts/validations/:idClick to copy
Use this endpoint to retrieve a particulae Fund Account Validation transaction with its id.
Is this page helpful?
Path Parameters
id*
string This is the unique identifier linked to the account validation transaction. For example, fav_00000000000001.
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
1curl -u <YOUR_KEY>:<YOUR_SECRET> \2-X GET https://api.razorpay.com/v1/fund_accounts/validations/fav_00000000000001
Success
1{2"id": "fav_00000000000001",3"entity": "fund_account.validation",4"fund_account": {5"id": "fa_00000000000001",6"entity": "fund_account",7"contact_id": "cont_00000000000001",8"account_type": "bank_account",9"bank_account": {10"name": "Gaurav Kumar",11"bank_name": "HDFC",12"ifsc": "HDFC0000053",13"account_number": "765432123456789"14},15"batch_id": null,16"active": true,17"created_at": 156706401918},19"status": "completed",20"amount": 100,21"currency": "INR",22"notes": {23"random_key_1": "Make it so.",24"random_key_2": "Tea. Earl Grey. Hot."25},26"results": {27"account_status": "active",28"registered_name": "Gaurav Kumar"29},30"created_at": 1547566278,31"utr": "XXXXR7310682908954385XX"32}